How To Install Parsoid Module For MediaWiki

1 Star2 Stars3 Stars4 Stars5 Stars (No Ratings Yet)
Loading...

How to Install Parsoid module for MediaWiki

Note: This article is kind of old. As of today any version of NodeJS should work – for Solairs you might need to compile from source, for details how to Buil NodeJS on Solaris click here.

Must use node js versin 10.20 (not 10.28)

Add make (or GNUmake) to your path

Now run.

To get nodes version 10.28.
First do npm install in version 10.20

Now, to change to version 10.28 (by path), set ssl to false (this is needed if you are behind a proxy)

Check the npm config

Run to uninstall npm

Update npm manually

Note: For the above to work do the below.
First cd to npm

Last, just update npm withh all stuff

Leave a Reply

avatar
  Subscribe  
Notify of